{ ... }:
{
  _class = "clan.service";
  manifest.name = "personal-computer";
  manifest.description = "A service for configuring personal computer such as printing, automatic-timezone, etc.";
  manifest.readme = "A service for configuring personal computer such as printing, automatic-timezone, etc.";
  manifest.categories = [ "System" ];

  roles.default = {
    description = "an only one default role";
    perInstance.nixosModule =
      { inputs, lib, ... }:
      {
        imports = [
          (inputs.import-tree.initFilter (
            p: !lib.hasSuffix "default.nix" p && !lib.hasSuffix "flake-module.nix" p
          ) ./.)
        ];
      };
  };
}
